Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.olap.service.impl
Class OlapConnectionServiceImpl

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.olap.service.impl.OlapConnectionServiceImpl

All Implemented Interfaces:
  ReportDataSourceServiceFactory, OlapConnectionService

    public class OlapConnectionServiceImpl

extends java.lang.Object
implements OlapConnectionService, ReportDataSourceServiceFactory

Author:
  sbirney $Id: OlapConnectionServiceImpl.java 10276 2007-09-28 23:35:53Z lucian $

Constructor Summary
`OlapConnectionServiceImpl()`

Method Summary
`com.tonbeller.jpivot.olap.model.OlapModel` | `createOlapModel(ExecutionContext context, OlapUnit olapUnit)`
`ReportDataSourceService` | `createService(ReportDataSource dataSource)`
`com.tonbeller.jpivot.olap.model.OlapModel` | `createXmlaModel(ExecutionContext context, OlapUnit xmlaUnit)`
`Resource` | `dereference(ExecutionContext context, ResourceReference ref)`
`MondrianConnection` | `getConnection(ExecutionContext context, java.lang.String resourceName)`
`MondrianConnection` | `getConnectionResource(ExecutionContext context, OlapUnit unit)`
`protected MetadataUserDetails` | `getCurrentUserDetails()`
`protected java.net.URL` | `getDefaultMondrianConfig()`
`protected java.net.URL` | `getDefaultXMLAConfig()`
`StaticCharacterEncodingProvider` | `getEncodingProvider()` returns character encoding provided by jaspersoft
`java.lang.String` | `getFileResourceData(ExecutionContext context, FileResource file)`
`protected mondrian.olap.Connection` | `getMondrianConnection(ExecutionContext context, MondrianConnection conn, FileResource schema, ReportDataSource dataSource)`
`mondrian.olap.Connection` | `getMondrianConnection(ExecutionContext context, java.lang.String connResourceName)`
`mondrian.olap.Util.PropertyList` | `getMondrianConnectProperties(ExecutionContext context, MondrianConnection conn)`
`mondrian.olap.Util.PropertyList` | `getMondrianConnectProperties(ExecutionContext context, MondrianConnection conn, FileResource schema, ReportDataSource dataSource)`
`RepositoryService` | `getRepository()`
`void` | `initializeAndShow(com.tonbeller.jpivot.tags.OlapModelProxy omp, java.lang.String viewUri, com.tonbeller.jpivot.olap.model.OlapModel model, OlapUnit unit)`
`protected boolean` | `lacksAuthentication(XMLAConnection xmlaConn)`
`Folder` | `mkdirs(ExecutionContext context, java.lang.String path)`
`void` | `saveResource(ExecutionContext context, java.lang.String path, Resource resource)` saveResource creates path of folders as necessary and put the resource in the bottommost folder does not update if the target already exists.
`void` | `setEncodingProvider(StaticCharacterEncodingProvider encodingProviderIn)` sets character encoding provided by jaspersoft
`void` | `setRepository(RepositoryService repository)`
`ValidationResult` | `validate(ExecutionContext context, OlapUnit unit)`
`ValidationResult` | `validate(ExecutionContext context, OlapUnit unit, FileResource schema, OlapClientConnection conn, ReportDataSource dataSource)`
`protected void` | `validateMDX(ExecutionContext context, ValidationResultImpl result, OlapUnit unit)`
`protected void` | `validateMDX(ExecutionContext context, ValidationResultImpl result, OlapUnit unit, FileResource schema, OlapClientConnection conn, ReportDataSource dataSource)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OlapConnectionServiceImpl

    public OlapConnectionServiceImpl()

Method Detail

### createOlapModel

    public com.tonbeller.jpivot.olap.model.OlapModel createOlapModel(ExecutionContext context,
                                                                     OlapUnit olapUnit)

  Specified by:
    `createOlapModel` in interface `OlapConnectionService`

### getDefaultMondrianConfig

    protected java.net.URL getDefaultMondrianConfig()

### getDefaultXMLAConfig

    protected java.net.URL getDefaultXMLAConfig()

### createXmlaModel

    public com.tonbeller.jpivot.olap.model.OlapModel createXmlaModel(ExecutionContext context,
                                                                     OlapUnit xmlaUnit)

### lacksAuthentication

    protected boolean lacksAuthentication(XMLAConnection xmlaConn)

### getCurrentUserDetails

    protected MetadataUserDetails getCurrentUserDetails()

### validate

    public ValidationResult validate(ExecutionContext context,
                                     OlapUnit unit)

  Specified by:
    `validate` in interface `OlapConnectionService`

### validate

    public ValidationResult validate(ExecutionContext context,
                                     OlapUnit unit,
                                     FileResource schema,
                                     OlapClientConnection conn,
                                     ReportDataSource dataSource)

  Specified by:
    `validate` in interface `OlapConnectionService`

### validateMDX

    protected void validateMDX(ExecutionContext context,
                               ValidationResultImpl result,
                               OlapUnit unit)

### validateMDX

    protected void validateMDX(ExecutionContext context,
                               ValidationResultImpl result,
                               OlapUnit unit,
                               FileResource schema,
                               OlapClientConnection conn,
                               ReportDataSource dataSource)

### getConnection

    public MondrianConnection getConnection(ExecutionContext context,
                                            java.lang.String resourceName)

### getConnectionResource

    public MondrianConnection getConnectionResource(ExecutionContext context,
                                                    OlapUnit unit)

### getMondrianConnection

    public mondrian.olap.Connection getMondrianConnection(ExecutionContext context,
                                                          java.lang.String connResourceName)

### getMondrianConnection

    protected mondrian.olap.Connection getMondrianConnection(ExecutionContext context,
                                                             MondrianConnection conn,
                                                             FileResource schema,
                                                             ReportDataSource dataSource)

### initializeAndShow

    public void initializeAndShow(com.tonbeller.jpivot.tags.OlapModelProxy omp,
                                  java.lang.String viewUri,
                                  com.tonbeller.jpivot.olap.model.OlapModel model,
                                  OlapUnit unit)
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getFileResourceData

    public java.lang.String getFileResourceData(ExecutionContext context,
                                                FileResource file)

  Specified by:
    `getFileResourceData` in interface `OlapConnectionService`

### getMondrianConnectProperties

    public mondrian.olap.Util.PropertyList getMondrianConnectProperties(ExecutionContext context,
                                                                        MondrianConnection conn)

  Specified by:
    `getMondrianConnectProperties` in interface `OlapConnectionService`

### getMondrianConnectProperties

    public mondrian.olap.Util.PropertyList getMondrianConnectProperties(ExecutionContext context,
                                                                        MondrianConnection conn,
                                                                        FileResource schema,
                                                                        ReportDataSource dataSource)

### dereference

    public Resource dereference(ExecutionContext context,
                                ResourceReference ref)

  Specified by:
    `dereference` in interface `OlapConnectionService`

### saveResource

    public void saveResource(ExecutionContext context,
                             java.lang.String path,
                             Resource resource)

  saveResource creates path of folders as necessary and put the resource in the bottommost folder does not update if the target already exists. maybe this can be added to the RepositoryService API?

  Specified by:
    `saveResource` in interface `OlapConnectionService`

### mkdirs

    public Folder mkdirs(ExecutionContext context,
                         java.lang.String path)

### getRepository

    public RepositoryService getRepository()

### setRepository

    public void setRepository(RepositoryService repository)

### getEncodingProvider

    public StaticCharacterEncodingProvider getEncodingProvider()

  returns character encoding provided by jaspersoft

  Returns:

### setEncodingProvider

    public void setEncodingProvider(StaticCharacterEncodingProvider encodingProviderIn)

  sets character encoding provided by jaspersoft

  Parameters:
    `encodingProvider` -

### createService

    public ReportDataSourceService createService(ReportDataSource dataSource)

  Specified by:
    `createService` in interface `ReportDataSourceServiceFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.